Skip to content

Getting Media from Media Message (WhatsApp)

Authentication

Send this title with every request.

json
{
  "Authorization": "Bearer ${token}"
}

To download media messages from your customer, you should follow the steps below.

Media cannot be retrieved for about 5 seconds after the Webhook from Meta is delivered to the desired URL. During this time, media processing is carried out on the HeloRobo side. Therefore, you should wait for about 5 seconds before making the request.

GET

/media-url/:messageExtId/:id

Params

messageExtId :  // The ID of message from Meta (Example: wamid.HBgMOTA1MzE5OTM3Mj...)
id           :  // The ID of media from Meta (Example: 64685131...)

Parameter Description

NameDescription
messageExtIdThe messageExtId to which the messages from Meta will be sent
idThe id found in the media object in the incoming webhook. (Example: image.id field)

Response

json
{
  "data": {
    "url": "https://..."
  }
}